package com.weather.vo;

import cn.afterturn.easypoi.excel.annotation.Excel;
import io.swagger.annotations.ApiModel;
import lombok.Data;
import lombok.experimental.Accessors;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;


/**
 * <p>
 * 用户信息表
 * </p>
 *
 * @author feng
 * @since 2023-09-01
 */
@Data
@Accessors(chain = true)

@ApiModel(value="SysUser1对象", description="用户基本信息表")

public class SysUser1  {

    private static final long serialVersionUID = 1L;

    /** 用户ID */
    @Excel(name = "用户序号")
    private Long userId;

    /** 用户账号 */
    @Excel(name = "登录名称")
    private String userName;

    /** 部门ID */
    @Excel(name = "部门编号")
    private Long deptId;

    /** 部门名称 */
    @Excel(name = "部门名称")
    private String  deptName;

    /** 部门所在区域码 */
    @Excel(name = "部门所在区域码")
    private Integer adcode;

    /** 部门所在区域名称 */
    @Excel(name = "部门所在区域名称")
    private String addName;



    public Long getUserId()
    {
        return userId;
    }

    public void setUserId(Long userId)
    {
        this.userId = userId;
    }

    public String getUserName()
    {
        return userName;
    }

    public void setUserName(String userName)
    {
        this.userName = userName;
    }


    public Long getDeptId()
    {
        return deptId;
    }

    public void setDeptId(Long deptId)
    {
        this.deptId = deptId;
    }

    public String getDeptName() {
        return deptName;
    }

    public void setDeptName(String deptName) {
        this.deptName = deptName;
    }




    public Integer getAdcode() {
        return adcode;
    }

    public void setAdcode(Integer adcode) {
        this.adcode = adcode;
    }

    public String getAddName() {
        return addName;
    }

    public void setAddName(String addName) {
        this.addName = addName;
    }


    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
                .append("userId", getUserId())
                .append("userName", getUserName())
                .append("deptId", getDeptId())
                .append("deptName", getDeptName())
                .append("adcode", getAdcode())
                .append("addName", getAddName())
                .toString();
    }
}
